# ClaimResponse $payment

`POST /ClaimResponse/$payment`

This resource contains claim statuses, payments, or responses. As a payer, you can use this resource to asynchronously respond to claims that were previously submitted by healthcare organizations. 

You can send payment, status updates, or other related asynchronous claim responses with this resource type.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $payment

Send payment details, including authorizations, adjustments, denials, or additional information for each line item of the claim.

This is an asynchronous operation. 

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Indicates the purpose of this bundle - how it is intended to be used. Value: collection |
| `entry` | Array of ClaimResponse or Patient or Coverage or Location or Practitioner or RelatedPerson or Other | Yes | An array of FHIR resources. At a minimum, a ClaimResponse should include the following entries: - ClaimResponse - the most important part of the request - contains references to all other resources, details adjudication at the appropriate levels. - Patient - the patient the claim is for. - Organization - at least one resource representing the party responsible for making the claim. Additional organization resources may carry information such as pharmacy, payor, or policy holder. - Practitioner - for professional claims the provider submitting the claim - Coverage - the patient's insurance |
| `entry[] (ClaimResponse).resource` | object | Yes | The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type. |
| `entry[] (ClaimResponse).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: ClaimResponse |
| `entry[] (ClaimResponse).resource.status` | string | Yes | The status of the resource instance. Value: active |
| `entry[] (ClaimResponse).resource.type` | object | Yes | Type of claim. [Example Codes](http://hl7.org/fhir/R4/valueset-claim-type.html) The recommended system is `http://terminology.hl7.org/CodeSystem/claim-type`. Typical values include - `pharmacy` - Pharmacy claims for goods and services - `professional` - Typically outpatient claims such as Psychological, Chiropractor, rehabilitative, consulting - `institutional` - Hospital, clinic and other inpatient claims |
| `entry[] (ClaimResponse).resource.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.use` | string | Yes | A code to indicate whether the nature of the request is: to request adjudication of products and services previously rendered; or requesting authorization and adjudication for provision in the future; or requesting the non-binding adjudication of the listed products and services which could be provided in the future. Value: claim |
| `entry[] (ClaimResponse).resource.patient` | object | Yes | The party to whom the professional services and/or products have been supplied or are being considered and for whom actual for facast reimbursement is sought. Must be a resource of type `Patient`. |
| `entry[] (ClaimResponse).resource.patient.reference` | string | No | A reference to a Patient resource |
| `entry[] (ClaimResponse).resource.created` | string | Yes | The date this resource was created. |
| `entry[] (ClaimResponse).resource.insurer` | object | Yes | The party responsible for authorization, adjudication and reimbursement. Must be a resource of type `Organization`. |
| `entry[] (ClaimResponse).resource.insurer.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (ClaimResponse).resource.outcome` | string | Yes | The outcome of the claim, predetermination, or preauthorization processing. Possible values: queued, complete, error, partial |
| `entry[] (ClaimResponse).resource.total` | Array of adjudicationamounttype or Other | Yes | Categorized monetary totals for the adjudication. |
| `entry[] (ClaimResponse).resource.total[] (adjudicationamounttype).category` | object | Yes | A code to indicate the information type of this adjudication record. Information types may include: the value submitted, maximum values or percentages allowed or payable under the plan, amounts that the patient is responsible for in aggregate or pertaining to this item, amounts paid by other coverages, and the benefit payable for this item. |
| `entry[] (ClaimResponse).resource.total[] (adjudicationamounttype).category.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.total[] (adjudicationamounttype).category.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.total[] (adjudicationamounttype).category.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.total[] (adjudicationamounttype).category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.total[] (adjudicationamounttype).amount` | object | Yes | Monetary total amount associated with the category. |
| `entry[] (ClaimResponse).resource.total[] (adjudicationamounttype).amount.value` | number | No | Numerical value (with implicit precision). |
| `entry[] (ClaimResponse).resource.total[] (adjudicationamounttype).amount.currency` | string | No | ISO 4217 Currency Code (e.g. USD for US Dollar) |
| `entry[] (ClaimResponse).resource.total[] (Other).category` | object | Yes | A code to indicate the information type of this adjudication record. Information types may include: the value submitted, maximum values or percentages allowed or payable under the plan, amounts that the patient is responsible for in aggregate or pertaining to this item, amounts paid by other coverages, and the benefit payable for this item. |
| `entry[] (ClaimResponse).resource.total[] (Other).category.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.total[] (Other).category.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.total[] (Other).category.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.total[] (Other).category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.total[] (Other).amount` | object | Yes | Monetary total amount associated with the category. |
| `entry[] (ClaimResponse).resource.total[] (Other).amount.value` | number | No | Numerical value (with implicit precision). |
| `entry[] (ClaimResponse).resource.total[] (Other).amount.currency` | string | No | ISO 4217 Currency Code (e.g. USD for US Dollar) |
| `entry[] (ClaimResponse).resource.id` | string | No | A unique identifier for the ClaimResponse that can be used to communicate back to the Payer for a resubmission. |
| `entry[] (ClaimResponse).resource.requestor` | object | No | The provider which is responsible for the claim, predetermination or preauthorization. Must reference one of the following types of resources: - `Practitioner` - `Organization` |
| `entry[] (ClaimResponse).resource.requestor.reference` | string | No | A reference to a Practitioner or Organization resource, depending on the setting. |
| `entry[] (ClaimResponse).resource.item` | Array of object | No | A claim line. Either a simple (a product or service) or a 'group' of details which can also be a simple items or groups of sub-details. |
| `entry[] (ClaimResponse).resource.item[].itemSequence` | number | Yes | A number to uniquely reference the claim item entries. |
| `entry[] (ClaimResponse).resource.item[].adjudication` | Array of adjudicationamounttype or denialreason or allowedunits or Other | Yes | If this item is a group then the values here are a summary of the adjudication of the detail items. If this item is a simple product or service then this is the result of the adjudication of this item. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (adjudicationamounttype).category` | object | Yes | A code to indicate the information type of this adjudication record. Information types may include the value submitted, maximum values or percentages allowed or payable under the plan, amounts that: the patient is responsible for in aggregate or pertaining to this item; amounts paid by other coverages; and, the benefit payable for this item. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (adjudicationamounttype).category.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (adjudicationamounttype).category.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (adjudicationamounttype).category.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (adjudicationamounttype).category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (adjudicationamounttype).amount` | object | Yes | Monetary amount associated with the category. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (adjudicationamounttype).amount.value` | number | No | Numerical value (with implicit precision). |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (adjudicationamounttype).amount.currency` | string | No | ISO 4217 Currency Code (e.g. USD for US Dollar) |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (denialreason).category` | object | Yes | A code to indicate the information type of this adjudication record. Information types may include the value submitted, maximum values or percentages allowed or payable under the plan, amounts that: the patient is responsible for in aggregate or pertaining to this item; amounts paid by other coverages; and, the benefit payable for this item. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (denialreason).category.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (denialreason).category.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: denialreason |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (denialreason).category.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudicationDiscriminator |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (denialreason).category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (denialreason).reason` | object | Yes | A code supporting the understanding of the adjudication result and explaining variance from expected amount. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (denialreason).reason.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (denialreason).reason.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (denialreason).reason.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (denialreason).reason.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (allowedunits).category` | object | Yes | A code to indicate the information type of this adjudication record. Information types may include the value submitted, maximum values or percentages allowed or payable under the plan, amounts that: the patient is responsible for in aggregate or pertaining to this item; amounts paid by other coverages; and, the benefit payable for this item. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (allowedunits).category.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (allowedunits).category.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: allowedunits |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (allowedunits).category.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudicationDiscriminator |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (allowedunits).category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (allowedunits).value` | number | Yes | A non-monetary value associated with the category. Mutually exclusive to the amount element above. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (Other).category` | object | Yes | A code to indicate the information type of this adjudication record. Information types may include the value submitted, maximum values or percentages allowed or payable under the plan, amounts that: the patient is responsible for in aggregate or pertaining to this item; amounts paid by other coverages; and, the benefit payable for this item. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (Other).category.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (Other).category.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (Other).category.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.item[].adjudication[] (Other).category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.item[].id` | string | No | A unique id for the line item. This can be used on subsequent status checks to get-line-level status information. |
| `entry[] (ClaimResponse).resource.adjudication` | Array of adjudicationamounttype or denialreason or Other | No | The adjudication results which are presented at the header level rather than at the line-item or add-item levels. |
| `entry[] (ClaimResponse).resource.adjudication[] (adjudicationamounttype).category` | object | Yes | A code to indicate the information type of this adjudication record. Information types may include the value submitted, maximum values or percentages allowed or payable under the plan, amounts that: the patient is responsible for in aggregate or pertaining to this item; amounts paid by other coverages; and, the benefit payable for this item. |
| `entry[] (ClaimResponse).resource.adjudication[] (adjudicationamounttype).category.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.adjudication[] (adjudicationamounttype).category.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.adjudication[] (adjudicationamounttype).category.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.adjudication[] (adjudicationamounttype).category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.adjudication[] (adjudicationamounttype).amount` | object | Yes | Monetary amount associated with the category. |
| `entry[] (ClaimResponse).resource.adjudication[] (adjudicationamounttype).amount.value` | number | No | Numerical value (with implicit precision). |
| `entry[] (ClaimResponse).resource.adjudication[] (adjudicationamounttype).amount.currency` | string | No | ISO 4217 Currency Code (e.g. USD for US Dollar) |
| `entry[] (ClaimResponse).resource.adjudication[] (denialreason).category` | object | Yes | A code to indicate the information type of this adjudication record. Information types may include the value submitted, maximum values or percentages allowed or payable under the plan, amounts that: the patient is responsible for in aggregate or pertaining to this item; amounts paid by other coverages; and, the benefit payable for this item. |
| `entry[] (ClaimResponse).resource.adjudication[] (denialreason).category.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.adjudication[] (denialreason).category.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: denialreason |
| `entry[] (ClaimResponse).resource.adjudication[] (denialreason).category.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudicationDiscriminator |
| `entry[] (ClaimResponse).resource.adjudication[] (denialreason).category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.adjudication[] (denialreason).reason` | object | Yes | A code supporting the understanding of the adjudication result and explaining variance from expected amount. |
| `entry[] (ClaimResponse).resource.adjudication[] (denialreason).reason.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.adjudication[] (denialreason).reason.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.adjudication[] (denialreason).reason.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.adjudication[] (denialreason).reason.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.adjudication[] (Other).category` | object | Yes | A code to indicate the information type of this adjudication record. Information types may include the value submitted, maximum values or percentages allowed or payable under the plan, amounts that: the patient is responsible for in aggregate or pertaining to this item; amounts paid by other coverages; and, the benefit payable for this item. |
| `entry[] (ClaimResponse).resource.adjudication[] (Other).category.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.adjudication[] (Other).category.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.adjudication[] (Other).category.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.adjudication[] (Other).category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.payment` | object | No | Payment details for the adjudication of the claim. |
| `entry[] (ClaimResponse).resource.payment.type` | object | Yes | Whether this represents partial or complete payment of the benefits payable. |
| `entry[] (ClaimResponse).resource.payment.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.payment.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.payment.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.payment.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.payment.amount` | object | Yes | Benefits payable less any payment adjustment. |
| `entry[] (ClaimResponse).resource.payment.amount.value` | number | No | Numerical value (with implicit precision). |
| `entry[] (ClaimResponse).resource.payment.amount.currency` | string | No | ISO 4217 Currency Code (e.g. USD for US Dollar) |
| `entry[] (ClaimResponse).resource.payment.identifier` | object | No | Issuer's unique identifier for the payment instrument. |
| `entry[] (ClaimResponse).resource.payment.identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `entry[] (ClaimResponse).resource.payment.identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (ClaimResponse).resource.payment.identifier.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (ClaimResponse).resource.payment.identifier.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (ClaimResponse).resource.payment.identifier.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (ClaimResponse).resource.payment.identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (ClaimResponse).resource.payment.identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (ClaimResponse).resource.insurance` | Array of object | No | Financial instruments for reimbursement for the health care products and services specified on the claim. |
| `entry[] (ClaimResponse).resource.insurance[].sequence` | number | Yes | A number to uniquely identify insurance entries and provide a sequence of coverages to convey coordination of benefit order. |
| `entry[] (ClaimResponse).resource.insurance[].focal` | boolean | Yes | A flag to indicate that this Coverage is to be used for adjudication of this claim when set to true. |
| `entry[] (ClaimResponse).resource.insurance[].coverage` | object | Yes | Reference to Coverage resource for patient. Must be a resource of type `Coverage`. |
| `entry[] (ClaimResponse).resource.insurance[].coverage.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (ClaimResponse).resource.insurance[].businessArrangement` | string | No | A business agreement number established between the provider and the insurer for special business processing purposes. |
| `entry[] (Location)` | any | No | An array of FHIR resources. At a minimum, a ClaimResponse should include the following entries: - ClaimResponse - the most important part of the request - contains references to all other resources, details adjudication at the appropriate levels. - Patient - the patient the claim is for. - Organization - at least one resource representing the party responsible for making the claim. Additional organization resources may carry information such as pharmacy, payor, or policy holder. - Practitioner - for professional claims the provider submitting the claim - Coverage - the patient's insurance |
| `entry[] (Other)` | object | No |  |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/ClaimResponse/$payment' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/fhir+json' \
--data '{
  "resourceType": "Bundle",
  "id": "ProfessionalPaymentBundle",
  "type": "collection",
  "identifier": {
    "system": "urn:ietf:rfc:3986",
    "value": "urn:uuid:59f129cf-2eca-4965-88f2-452558af1934"
  },
  "timestamp": "2022-07-02T19:09:02.452Z",
  "entry": [
    {
      "resource": {
        "resourceType": "ClaimResponse",
        "id": "f77870ff-90f8-50aa-be50-e62cc533391f",
        "meta": {
          "lastUpdated": "2022-12-12T09:14:11+00:00"
        },
        "status": "active",
        "use": "claim",
        "language": "en-US",
        "identifier": [
          {
            "value": "urn:uuid:e69ba9b3-407a-4da6-bde2-d1b48792fadf",
            "system": "https://www.insurance.com/fhir"
          }
        ],
        "type": {
          "coding": [
            {
              "code": "professional",
              "system": "http://terminology.hl7.org/CodeSystem/claim-type"
            }
          ],
          "text": "Professional"
        },
        "created": "2022-07-02T00:00:00+00:00",
        "insurer": {
          "reference": "Organization/RedoxInsurerOrganizationExample"
        },
        "patient": {
          "reference": "urn:uuid:b3620bb0-a2ff-5c8a-ad4a-7313d857ab10"
        },
        "requestor": {
          "reference": "urn:uuid:70b8c066-f991-5bc6-87df-9be07623e54d"
        },
        "outcome": "partial",
        "total": [
          {
            "category": {
              "coding": [
                {
                  "code": "paidtoprovider",
                  "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudication"
                }
              ],
              "text": "Payment Amount"
            },
            "amount": {
              "value": 520,
              "currency": "USD"
            }
          },
          {
            "category": {
              "coding": [
                {
                  "code": "submitted",
                  "system": "http://terminology.hl7.org/CodeSystem/adjudication"
                }
              ],
              "text": "Submitted Amount"
            },
            "amount": {
              "value": 2550,
              "currency": "USD"
            }
          },
          {
            "category": {
              "coding": [
                {
                  "code": "paidbypatient",
                  "system": "http://hl7.org/fhir/us/carin-bb/CodeSystem/C4BBAdjudication"
                }
              ],
              "text": "Patient Pay Amount"
            },
            "amount": {
              "value": 30,
              "currency": "USD"
            }
          }
        ],
        "item": [
          {
            "itemSequence": 1,
            "adjudication": [
              {
                "category": {
                  "coding": [
                    {
                      "code": "submitted",
                      "system": "http://terminology.hl7.org/CodeSystem/adjudication"
                    }
                  ]
                },
                "amount": {
                  "value": 1000,
                  "currency": "USD"
                }
              }
            ]
          }
        ],
        "insurance": [
          {
            "sequence": 1,
            "focal": true,
            "coverage": {
              "reference": "urn:uuid:a0167970-207c-5795-8071-ed52141ca08b"
            }
          }
        ]
      },
      "fullUrl": "urn:uuid:f77870ff-90f8-50aa-be50-e62cc533391f"
    },
    {
      "resource": {
        "resourceType": "Patient",
        "id": "b3620bb0-a2ff-5c8a-ad4a-7313d857ab10",
        "identifier": [
          {
            "system": "urn:redox:MRN",
            "value": "M23462346"
          }
        ],
        "name": [
          {
            "given": [
              "Timothy",
              "Paul"
            ],
            "family": "Bixby"
          }
        ],
        "gender": "male",
        "birthDate": "2008-01-06"
      },
      "fullUrl": "urn:uuid:b3620bb0-a2ff-5c8a-ad4a-7313d857ab10"
    },
    {
      "resource": {
        "resourceType": "Coverage",
        "id": "a0167970-207c-5795-8071-ed52141ca08b",
        "class": [
          {
            "type": {
              "coding": [
                {
                  "code": "group",
                  "system": "http://terminology.hl7.org/CodeSystem/coverage-class"
                }
              ]
            },
            "value": "GRP2245"
          }
        ],
        "status": "active",
        "beneficiary": {
          "reference": "urn:uuid:b3620bb0-a2ff-5c8a-ad4a-7313d857ab10"
        },
        "payor": [
          {
            "reference": "urn:uuid:7a655bdc-ab26-5bb2-998c-b632c610725d"
          }
        ],
        "subscriber": {
          "reference": "urn:uuid:b3620bb0-a2ff-5c8a-ad4a-7313d857ab10"
        },
        "subscriberId": "T75644"
      },
      "fullUrl": "urn:uuid:a0167970-207c-5795-8071-ed52141ca08b"
    },
    {
      "resource": {
        "resourceType": "Organization",
        "id": "7a655bdc-ab26-5bb2-998c-b632c610725d",
        "active": true,
        "name": "Aetna",
        "address": [
          {
            "line": [
              "PO Box 14080"
            ],
            "city": "Lexington",
            "district": "Fayette",
            "state": "KY",
            "postalCode": "40512-4079",
            "country": "USA"
          }
        ]
      },
      "fullUrl": "urn:uuid:7a655bdc-ab26-5bb2-998c-b632c610725d"
    },
    {
      "resource": {
        "resourceType": "Practitioner",
        "id": "70b8c066-f991-5bc6-87df-9be07623e54d",
        "identifier": [
          {
            "system": "http://hl7.org/fhir/sid/us-npi",
            "value": "4336749876"
          }
        ],
        "name": [
          {
            "given": [
              "Joan"
            ],
            "family": "Fishman"
          }
        ],
        "address": [
          {
            "line": [
              "4762 Hickory St."
            ],
            "city": "Monroe",
            "district": "Green",
            "state": "WI",
            "postalCode": "53566",
            "country": "USA"
          }
        ],
        "telecom": [
          {
            "value": "+16085558899"
          }
        ]
      },
      "fullUrl": "urn:uuid:70b8c066-f991-5bc6-87df-9be07623e54d"
    }
  ],
  "Meta": {
    "Logs": [
      {
        "ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
        "AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
      }
    ],
    "Test": true,
    "EventDateTime": "2026-11-16T23:16:06.930Z",
    "Source": {
      "ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
      "Name": "Redox Dev Tools"
    },
    "Destinations": [
      {
        "ID": "af394f14-b34a-464f-8d24-895f370af4c9",
        "Name": "Redox EMR"
      }
    ],
    "DataModel": "FHIR.ClaimResponse",
    "EventType": "$payment"
  }
}'
```

## Responses

### 200

Operation Response

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
